/*******************************************************
*COPYRIGHT NODE : bgmain.c						*
*	Ver	2000.09.26							*
*	All right for this code is reserved by GAMEPARK	*
*		Developer : 	promoos				*
********************************************************/

#include "ljohnGP.h"

#include "gpdef.h"
#include "gpstdlib.h"
#include "gpgraphic.h"
#include "gpfont.h"
#include "gpmm.h"
#include "gpstdio.h"

//////////////////////// global variable //////////////////////

/********************************************************
* GpMain(void)           
*	This procedure is main loop.	
*	This is close to BingGo Machine Level.
*********************************************************/
#ifdef __GNUC__
extern void EnableCache (void);
#endif

void GpMain(void * arg)
{	
  GpClockSpeedChange(67800000, 0x69032, 3); 
  //CPU_alignment_and_cache();  
//  EnableCache();  
  LaunchNesEmu();
}

/* 
1 - 16.7 Mhz 
2 - 33 MhZ (1) 
3 - 33 Mhz (2) 
4 - 67.5 Mhz 
5 - 80 Mhz 
6 - 102 Mhz 
7 - 132 Mhz 
 
int clock_settings [7]={16500000,33000000,33000000,67500000,80000000,102000000,132000000}; 
int div_settings[7]={ 0x71142,0x24003,0x3a013,0x25021,0x48012,0x1a020,0x3a011}; 
int clockdiv_settings[7]={0,0,0,2,1,2,3}; 

Sinon voici la fonction que j'utilisais pour mon emu pour changer la frequence a la voler : 



// pour overclock 
#define CLOCK40 0 
#define CLOCK66 1 
#define CLOCK133 2 
#define CLOCK156 3 
#define CLOCK166 4 
void SetClockSpeed(int nClockSpeed); 


void SetClockSpeed(int nClockSpeed) 
{ 
// clkdvn MCLK HCLK PCLK 
// 0 1 1 1 
// 1 1 1 1/2 
// 2 1 1/2 1/2 
// 3 1 1/2 1/4 

switch (nClockSpeed) 
{ 
case CLOCK40: 
// 40, 3 
GpClockSpeedChange (40000000, 0x48013, 1); 
break; 
case CLOCK66: 
// 67.8, 3 
GpClockSpeedChange(67800000, 0x69032, 3); 
break; 
case CLOCK133: 
// 133, 3 
GpClockSpeedChange(132000000, 0x3a011, 3); 
break; 
case CLOCK156: 
GpClockSpeedChange (156000000, 0x2c001, 3); 
break; 
case CLOCK166: 
GpClockSpeedChange (165000000, 0x2f001, 3); 
break; 
} 
} 
*/
